关闭

PHP 5.3.0 安装分析心得

标签: phpinstallermicrosoftwindowsiisdownload
862人阅读 评论(0) 收藏 举报
分类:

一直犯懒没下载一个PHP 5.3,今天看到PHP100中文网上关于PHP5.3.0一时兴起打算更新一下本本上的PHP,于是乎下载了5.3来装。

整个过程,可以这么说,惊异大于惊喜。并且我感受到了我第一次在Windows配置PHP时的那种脆弱无知感觉……

首先。。。PHP Team首次分离出了一个Windows团队。Windows的下载也挪到了windows.php.net。一个大进步。

其次。。。最大的惊异,PHP 5.3开始,居然没有了ISAPI支持……可以参看这里:ISAPI support, do we need it?

从没见PHP Team动作这么迅速。PHP 4停止支持还有一年的过渡期,ISAPI说没就没了……嗯,这个策略我支持,既然Microsoft发了IIS FastCGI支持,那停止就停止了吧。。。毕竟从稳定性上来说,FastCGI还是比ISAPI要好的……只是这么大的事儿,我居然不知道……真是孤陋 寡闻了。在IIS下使用FastCGI设置PHP的介绍可以看这里。

再者。。。刚装上啥都没干,PEAR报错不能用-。-|||

好吧,不是我的错。关于这个错误,解释是这样的:

Some users have reported that the windows builds of PHP 5.3 are not able to open the shipped go-pear.phar file.

As a workaround, users can run the distributed phar with php -d phar.require_hash=0 go-pear.phar or download and use the http://pear.php.net/go-pear non-pharred version.

总结一下我的感受吧……

1. IIS 5.1、6.0、7,请先安装Microsoft FastCGI;

2. 没有了ISAPI支持之后,对于PHP 5.3来说,Installer和zip没有什么太大差别了;相比来说,个人觉得installer版本东西少(库没少带,还没有那个烦人的phar版 PEAR),更清爽;

3. 安装完成后要改php.ini中的date.timezone设置,否则IIS会给你报个500错误……

4. 如果装的是installer版本并且还需要PEAR,那就这么做:1. 把http://pear.php.net/go-pear下载下来;2. php go-pear.

如果装的是zip版本,请执行php -d phar.require_hash=0 go-pear.phar,或者按照上边installer的方法装非phar版本的PEAR。

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:80848次
    • 积分:573
    • 等级:
    • 排名:千里之外
    • 原创:10篇
    • 转载:2篇
    • 译文:0篇
    • 评论:4条
    文章分类
    最新评论